<div class="filter-wrapper">
  <mat-paginator *ngIf="pagination"
                 [length]="pagination.totalItemsCount"
                 [pageSize]="userParams.pageSize"
                 [pageSizeOptions]="[5, 10, 20]"
                 (page)="changePage($event)"
                 aria-label="Select page">
  </mat-paginator>
  <form class="filter-form" #filterForm="ngForm" (ngSubmit)="loadMembers()">
    <label>View Members by:</label>
    <select name="orderBy" [(ngModel)]="userParams.orderBy">
      <option value="Activity">Last active</option>
      <option value="Created">Newest members</option>
    </select>
    <div class="filter-buttons-wrapper">
      <button type="submit">Apply filters</button>
      <button (click)="resetFilters()" type="button">Reset Filters</button>
    </div>
  </form>
</div>

<h2>Share your photos with total of {{pagination?.totalItemsCount}} members!</h2>
<div class="cards-wrapper">
  <div *ngFor="let member of members">
    <app-member-card [member]="member"></app-member-card>
  </div>
</div>
